### Signal

# Jsonrpc Server::client-closed

since: 3.30

#### Declaration

    void
    client_closed (
      JsonrpcServer* self,
      JsonrpcClient* client,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a new client has been lost.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.30

#### Parameters

`client`

  Type: `JsonrpcClient`

  A `JsonrpcClient`.

  The data is owned by the caller of the function.